import { AXIOM_BASE_URL, DEV } from '../utilities/helpers';

export const ESTUARY_API_PATH = 'https://shuttle-4.estuary.tech/';
export const API_PROXY_PATH = new URL(
  '/api',
  (!DEV && process.env.NEXT_PUBLIC_API_PROXY_PATH) || AXIOM_BASE_URL,
).toString();

export enum ApiEndpoint {
  ContentAdd = '/content/add',
  // ContentRead = '/content/read/',
  // ContentStatus = '/content/status/',
}

export enum ApiHTTPMethod {
  GET = 'GET',
  POST = 'POST',
}

export type ApiEndpointTypes = {
  [ApiEndpoint.ContentAdd]: {
    params: {
      data: File;
      coluuid?: string;
      colpath?: string;
    };
    urlParams?: {};
    response: {
      cid: string;
      estuaryId: number;
      providers: string[];
    };
  };
};

type ApiEndpointConfig = {
  method: ApiHTTPMethod;
};

export const ENDPOINTS_CONFIG: Record<ApiEndpoint, ApiEndpointConfig> = {
  [ApiEndpoint.ContentAdd]: {
    method: ApiHTTPMethod.POST,
  },
};
