import React from 'react';
import { Input } from './controls/Input';
import { ClipboardCopyIcon, DownloadIcon } from '@heroicons/react/outline';

type LinkResultProps = {
  value?: string;
  onDownload: (value?: string) => void;
};

export const LinkResult: React.FC<LinkResultProps> = ({
  value,
  onDownload,
}) => (
  <div className="md:flex md:space-x-1.5">
    <Input type="text" readOnly defaultValue={value} />
    <div className="flex mt-1.5 md:mt-0 space-x-1.5">
      <button
        aria-label="Upload a selected file"
        className="btn btn-sm md:btn-md btn-outline flex-1"
        onClick={() => onDownload(value)}
      >
        <DownloadIcon width={24} />
      </button>
      <button
        aria-label="Upload a selected file"
        className="btn btn-sm md:btn-md btn-outline flex-1"
        onClick={() => void navigator.clipboard.writeText(value || '')}
      >
        <ClipboardCopyIcon width={24} />
      </button>
    </div>
  </div>
);
