import React, { ReactNode } from 'react';
import cn from 'classnames';

type CenteredProps = {
  children?: ReactNode;
  className?: string;
};

export const Centered: React.FC<CenteredProps> = ({ children, className }) => (
  <div className={cn(className, 'flex w-full h-full items-center')}>
    {children}
  </div>
);
