import { ModalProps } from '../components/layout/Modal/Modal';
import React, { useState } from 'react';

export const useModal = <T extends {}, M extends ModalProps<T>>(
  Modal: React.FC<M>,
  props: M,
) => {
  const [open, setOpen] = useState(!!props.open);

  return {
    Modal: () => <Modal {...props} open={open} />,
    open: () => setOpen(true),
    close: () => setOpen(false),
  };
};
