import { NextApiHandler } from 'next';
import httpProxyMiddleware from 'next-http-proxy-middleware';
import { ESTUARY_API_PATH } from '../../app/api/endpoints';

const API_KEY = String(process.env.ESTUARY_API_KEY);
const TIMEOUT = 1000 * 60 * 30; // 30 minutes

export const config = {
  api: {
    externalResolver: true,
    bodyParser: false,
  },
};

const handler: NextApiHandler = (req, res) =>
  httpProxyMiddleware(req, res, {
    target: ESTUARY_API_PATH,
    secure: true,
    //followRedirects: true,
    timeout: TIMEOUT,
    proxyTimeout: TIMEOUT,
    headers: {
      Authorization: `Bearer ${API_KEY}`,
    },
    pathRewrite: [{ patternStr: '^/api', replaceStr: '' }],
  });

export default handler;
